View Issue Details

IDProjectCategoryView StatusLast Update
0025121mantisbtattachmentspublic2019-02-10 08:32
ReportersteffenrothAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionno change required 
Product Version2.18.0 
Target VersionFixed in Version 
Summary0025121: Upload file ends in "Application Error #504"
Description

I installed Mantis BT Version 2.18 on my system:

Raspberry Pi 1 - Raspbian OS "Jessie lite"
PHP 5.6
no mail server (!)
Storage is almost empty (less than 10% used)

Config:
attachments to DISK (same result for Database usage)
PHP config
max upload size = 50M
max post size = 0 (unlimited) also tried by using 50M

Attachments are working really fine as long as the file is smaller 7.5KB (not MB) everything above that size returns me the message:
I also tired the often suggested .user.conf file solution with settings for upload size

Original:
APPLICATION ERROR #504
Keine Datei übertragen. Gehen Sie zurück und wählen Sie eine Datei aus, bevor Sie auf Datei übertragen drücken

my "translation":
(APPLICATION ERROR #504
No file send. Go back and choose a file before pressing upload file)

does anybody have suggestions how to solve this issue?

TagsNo tags attached.

Activities

atrol

atrol

2018-12-27 04:44

developer   ~0061107

Do you get any errors or warnings when running admin/check/index.php ?

Are there any errors or warnings in web server or PHP error logs ?

steffenroth

steffenroth

2018-12-27 10:01

reporter   ~0061108

Last edited: 2018-12-27 10:28

View 4 revisions

the only warnings i get from the mantis check are security and email related:

mysqli.allow_local_infile php.ini directive is set to 0
mysqli.allow_local_infile should be disabled to prevent remote attackers to access local files (see issue 0023173). WARN
MySQL Lifecycle and Release Support data availability
Release information for MySQL 10.0 series is not available, unable to perform the lifecycle checks. WARN

core_path configuration option is set to a path outside the web root
For increased security it is recommended that you move the core_path directory outside the web root. WARN
class_path configuration option is set to a path outside the web root
For increased security it is recommended that you move the class_path directory outside the web root. WARN
library_path configuration option is set to a path outside the web root
For increased security it is recommended that you move the library_path directory outside the web root. WARN
config_path configuration option is set to a path outside the web root
For increased security it is recommended that you move the config_path directory outside the web root. WARN
language_path configuration option is set to a path outside the web root
For increased security it is recommended that you move the language_path directory outside the web root. WARN
Directory doc does not need to exist within the MantisBT root
The doc directory within the MantisBT root should be removed as it is not needed for the live operation of MantisBT. WARN

webmaster_email configuration option has a valid email address specified
You need to specify a valid email address for the webmaster_email configuration option. FAIL
from_email configuration option has a valid email address specified
You need to specify a valid email address for the from_email configuration option. FAIL
return_path_email configuration option has a valid email address specified
You need to specify a valid email address for the return_path_email configuration option. FAIL
send_reset_password = ON requires enable_email_notification = ON FAIL

but nothing critical for uploaded files, the php log files are also not showing any errors or warnings for mantis BT

steffenroth

steffenroth

2018-12-27 10:20

reporter   ~0061109

ok after multiple tries i was able to produce an error:

[core:error] [pid 839] [client xx.xxx.xxx.xx:xxxxx] AH00126: Invalid URI in request [0.228, 0.95, 0.0]],

atrol

atrol

2018-12-27 10:33

developer   ~0061110

but nothing critical for uploaded files,

First you have to fix the FAIL messages to run some more tests

steffenroth

steffenroth

2018-12-27 17:25

reporter   ~0061112

i changed now everything and there is no Fail message left unfortunately i still have the same issue like before. Very small files are working fine and already slightly bigger files are problematic.



0.png (71,907 bytes)
0.png (71,907 bytes)
1.png (55,425 bytes)
1.png (55,425 bytes)
2.png (62,572 bytes)
2.png (62,572 bytes)
atrol

atrol

2018-12-27 18:01

developer   ~0061113

No idea at the moment what's causing the issue
Might help some way https://superuser.com/questions/1351785/what-could-be-limiting-my-maximum-upload-file-size-on-my-raspberry-pi-lamp-stack/1352004

atrol

atrol

2019-01-30 16:00

developer   ~0061337

steffenroth,

I hope the information behind the provided link helped to solve the issue.
As you did not provide feedback, I am resolving this issue as "no change required".

Independant from that, I fear that a Raspberry Pi 1 is a bit to weak to run a stable Mantis with good performance.
E.g. I found some hints in web, that MySQL becomes quite slow / unstable if amount of data is growing.

Issue History

Date Modified Username Field Change
2018-12-26 21:30 steffenroth New Issue
2018-12-27 04:44 atrol Status new => feedback
2018-12-27 04:44 atrol Note Added: 0061107
2018-12-27 10:01 steffenroth Note Added: 0061108
2018-12-27 10:01 steffenroth Status feedback => new
2018-12-27 10:20 steffenroth Note Added: 0061109
2018-12-27 10:20 steffenroth Note Edited: 0061108 View Revisions
2018-12-27 10:20 steffenroth Note Edited: 0061108 View Revisions
2018-12-27 10:28 steffenroth Note Edited: 0061108 View Revisions
2018-12-27 10:33 atrol Status new => feedback
2018-12-27 10:33 atrol Note Added: 0061110
2018-12-27 17:25 steffenroth File Added: 0.png
2018-12-27 17:25 steffenroth File Added: 1.png
2018-12-27 17:25 steffenroth File Added: 2.png
2018-12-27 17:25 steffenroth Note Added: 0061112
2018-12-27 17:25 steffenroth Status feedback => new
2018-12-27 18:01 atrol Status new => feedback
2018-12-27 18:01 atrol Note Added: 0061113
2019-01-30 16:00 atrol Assigned To => atrol
2019-01-30 16:00 atrol Status feedback => resolved
2019-01-30 16:00 atrol Resolution open => no change required
2019-01-30 16:00 atrol Note Added: 0061337
2019-02-10 08:32 atrol Status resolved => closed